Bug 17817

Summary: Convert.ToUInt64 with base 10 does not check range
Product: [Mono] Class Libraries Reporter: Marek Safar <masafa>
Component: mscorlibAssignee: marcos.henrich
Status: RESOLVED FIXED    
Severity: normal CC: marcos.henrich, mono-bugs+mono
Priority: ---    
Version: unspecified   
Target Milestone: Untriaged   
Hardware: PC   
OS: Mac OS   
Tags: Is this bug a regression?: ---
Last known good build:

Description Marek Safar 2014-02-17 11:09:25 UTC
using System;

class X
{
	public static void Main ()
	{
		Convert.ToUInt64 ("18446744073709551616", 10);
	}
}

It should throw System.OverflowException
Comment 1 marcos.henrich 2015-04-06 14:41:02 UTC
Hi Marek,

Thanks for the bug report.

The pull request for this issue can be found in the link below.
https://github.com/mono/mono/pull/1685
Comment 2 marcos.henrich 2015-04-13 10:42:26 UTC
Fixed in master 670fcaf62a5093bd1f8e0cd4f41a338001df56e6.
https://github.com/mono/mono/commit/670fcaf62a5093bd1f8e0cd4f41a338001df56e6